import { PropertyCategory, PropertyCategoryFilter } from '../../API';
import { CRUDService, ICrudService } from '../../core';
export declare class PropertyCategoryService extends CRUDService<PropertyCategory> {
    protected hasOneModels: ICrudService<PropertyCategory>['hasOneModels'];
    protected hasManyModels: ICrudService<PropertyCategory>['hasManyModels'];
    validateName: (name: string, filter?: PropertyCategoryFilter) => Promise<boolean>;
    get create(): (input: Partial<Record<"properties" | "events" | "coreProperties" | "tieredCorePropertyBreakdown", import("../../../..").ModelWithId[]> & Record<import("../../core").HasOneRelationsOf<PropertyCategory>, import("../../../..").ModelWithId>> & Omit<import("../../API").PropertyCategoryInput, "properties" | "events" | "coreProperties" | "tieredCorePropertyBreakdown" | import("../../core").HasOneRelationsOf<PropertyCategory>>, options?: import("../../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryCreateOneMutation, import("../../API").Exact<{
        input: import("../../API").PropertyCategoryInput;
    }>>>) => Promise<{
        __typename?: "PropertyCategory";
        description?: string;
        id: string;
        name: string;
        order?: number;
        eventLabelsCount: number;
        objectType?: import("../../API").PropertyType;
        organizationID: string;
    }>;
    get useCreate(): (options?: import("../../core").CacheUpdateOptions<import("../../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryCreateOneMutation, import("../../API").Exact<{
        input: import("../../API").PropertyCategoryInput;
    }>>>>) => [(payload: import("../../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryCreateOneMutation, import("../../API").Exact<{
        input: import("../../API").PropertyCategoryInput;
    }>>, PropertyCategory>) => Promise<{
        __typename?: "PropertyCategory";
        description?: string;
        id: string;
        name: string;
        order?: number;
        eventLabelsCount: number;
        objectType?: import("../../API").PropertyType;
        organizationID: string;
    }>, import("@apollo/client").MutationResult<{
        createOne: import("../../../..").ModelWithId;
    }>];
    get update(): (input: Partial<Record<"properties" | "events" | "coreProperties" | "tieredCorePropertyBreakdown", import("../../../..").ModelWithId[]> & Record<import("../../core").HasOneRelationsOf<PropertyCategory>, import("../../../..").ModelWithId>> & Omit<import("../../API").UpdatePropertyCategory, "properties" | "events" | "coreProperties" | "tieredCorePropertyBreakdown" | import("../../core").HasOneRelationsOf<PropertyCategory>> & {
        id: string;
    }, options?: import("../../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryUpdateOneMutation, import("../../API").Exact<{
        input: import("../../API").UpdateOnePropertyCategoryInput;
    }>>>) => Promise<{
        __typename?: "PropertyCategory";
        description?: string;
        id: string;
        name: string;
        order?: number;
        eventLabelsCount: number;
        objectType?: import("../../API").PropertyType;
        organizationID: string;
    }>;
    get useUpdate(): (mainOptions?: import("../../core").CacheUpdateOptions<import("../../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryUpdateOneMutation, import("../../API").Exact<{
        input: import("../../API").UpdateOnePropertyCategoryInput;
    }>>>>) => [({ id, ...input }: Partial<Record<"properties" | "events" | "coreProperties" | "tieredCorePropertyBreakdown", import("../../../..").ModelWithId[]> & Record<import("../../core").HasOneRelationsOf<PropertyCategory>, import("../../../..").ModelWithId>> & import("../../API").UpdatePropertyCategory & {
        id: string;
    }, options?: import("../../core").CacheUpdateOptions<import("../../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryUpdateOneMutation, import("../../API").Exact<{
        input: import("../../API").UpdateOnePropertyCategoryInput;
    }>>>>) => Promise<Record<string, unknown>>, import("@apollo/client").MutationResult<{
        updateOne: Record<string, unknown>;
    }>];
    get delete(): (id: string, options?: import("../../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryDeleteOneMutation, import("../../API").Exact<{
        input: import("../../API").DeleteOnePropertyCategoryInput;
    }>>>) => Promise<{
        __typename?: "PropertyCategoryDeleteResponse";
        id?: string;
    }>;
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../../API").Exact<{
        id: string;
    }>, import("../../API").PropertyCategoryGetQuery>, "query">) => Promise<{
        __typename?: "PropertyCategory";
        description?: string;
        id: string;
        name: string;
        order?: number;
        eventLabelsCount: number;
        objectType?: import("../../API").PropertyType;
        organizationID: string;
    }>;
    get useGet(): (options: import("../../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryGetQuery, import("../../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../../API").PropertyCategoryGetQuery, import("../../API").Exact<{
            id: string;
        }>>;
        data: import("../../API").PropertyCategoryGetQuery;
        previousData?: import("../../API").PropertyCategoryGetQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../../API").PropertyCategoryGetQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../../API").PropertyCategoryGetQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../../API").PropertyCategoryGetQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../../API").PropertyCategoryGetQuery>, "variables">) => import("../../API").PropertyCategoryGetQuery) => void;
        refetch: (variables?: Partial<import("../../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryGetQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../../API").Exact<{
            id: string;
        }>, import("../../API").PropertyCategoryGetQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryGetQuery>>;
        variables: import("../../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../../API").PropertyCategoryGetQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../../API").PropertyCategoryGetQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../../API").PropertyCategoryGetQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyGet(): (options?: import("../../core").CacheUpdateOptions<import("../../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryGetQuery, import("../../API").Exact<{
        id: string;
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../../API").PropertyCategoryGetQuery, import("../../API").Exact<{
        id: string;
    }>>;
    get list(): (input: import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
    }>, options?: import("../../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryListQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
    }>>>) => Promise<{
        __typename?: "PropertyCategoryConnection";
        totalCount: number;
        edges: {
            __typename?: "PropertyCategoryEdge";
            cursor: any;
            node: {
                __typename?: "PropertyCategory";
                propertyCount?: number;
                description?: string;
                id: string;
                name: string;
                order?: number;
                eventLabelsCount: number;
                objectType?: import("../../API").PropertyType;
                organizationID: string;
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../../core").CacheUpdateOptions<import("../../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryListQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../../API").PropertyCategoryListQuery, import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>;
        data: import("../../API").PropertyCategoryListQuery;
        previousData?: import("../../API").PropertyCategoryListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../../API").PropertyCategoryListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../../API").PropertyCategoryListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>(mapFn: (previousQueryResult: import("../../API").PropertyCategoryListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../../API").PropertyCategoryListQuery>, "variables">) => import("../../API").PropertyCategoryListQuery) => void;
        refetch: (variables?: Partial<import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>, import("../../API").PropertyCategoryListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryListQuery>>;
        variables: import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>;
        fetchMore: <TFetchData = import("../../API").PropertyCategoryListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../../API").PropertyCategoryListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../../API").PropertyCategoryListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyList(): (options?: import("../../core").CacheUpdateOptions<import("../../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryListQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../../API").PropertyCategoryListQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
    }>>;
    get reducedList(): (input: import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
    }>, options?: import("../../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryReducedListQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
    }>>>) => Promise<{
        __typename?: "PropertyCategoryConnection";
        totalCount: number;
        edges: {
            __typename?: "PropertyCategoryEdge";
            cursor: any;
            node: {
                __typename?: "PropertyCategory";
                id: string;
                name: string;
                order?: number;
                objectType?: import("../../API").PropertyType;
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useReducedList(): (options: import("../../core").CacheUpdateOptions<import("../../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryReducedListQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../../API").PropertyCategoryReducedListQuery, import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>;
        data: import("../../API").PropertyCategoryReducedListQuery;
        previousData?: import("../../API").PropertyCategoryReducedListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../../API").PropertyCategoryReducedListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../../API").PropertyCategoryReducedListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>(mapFn: (previousQueryResult: import("../../API").PropertyCategoryReducedListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../../API").PropertyCategoryReducedListQuery>, "variables">) => import("../../API").PropertyCategoryReducedListQuery) => void;
        refetch: (variables?: Partial<import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryReducedListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>, import("../../API").PropertyCategoryReducedListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryReducedListQuery>>;
        variables: import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>;
        fetchMore: <TFetchData = import("../../API").PropertyCategoryReducedListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../../API").PropertyCategoryReducedListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../../API").PropertyCategoryReducedListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useBreakdownList(): (options: import("../../core").CacheUpdateOptions<import("../../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryBreakdownListQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../../API").PropertyCategoryBreakdownListQuery, import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>;
        data: import("../../API").PropertyCategoryBreakdownListQuery;
        previousData?: import("../../API").PropertyCategoryBreakdownListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../../API").PropertyCategoryBreakdownListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../../API").PropertyCategoryBreakdownListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>(mapFn: (previousQueryResult: import("../../API").PropertyCategoryBreakdownListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../../API").PropertyCategoryBreakdownListQuery>, "variables">) => import("../../API").PropertyCategoryBreakdownListQuery) => void;
        refetch: (variables?: Partial<import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryBreakdownListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>, import("../../API").PropertyCategoryBreakdownListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryBreakdownListQuery>>;
        variables: import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>;
        fetchMore: <TFetchData = import("../../API").PropertyCategoryBreakdownListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../../API").PropertyCategoryBreakdownListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../../API").PropertyCategoryBreakdownListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useListFilteredProperties(): (options: import("../../core").CacheUpdateOptions<import("../../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryListWithFilteredPropertiesQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
        propertyMapFilter?: import("../../API").PropertyMapFilter;
        propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../../API").PropertyCategoryListWithFilteredPropertiesQuery, import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
            propertyMapFilter?: import("../../API").PropertyMapFilter;
            propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
        }>>;
        data: import("../../API").PropertyCategoryListWithFilteredPropertiesQuery;
        previousData?: import("../../API").PropertyCategoryListWithFilteredPropertiesQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../../API").PropertyCategoryListWithFilteredPropertiesQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
            propertyMapFilter?: import("../../API").PropertyMapFilter;
            propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../../API").PropertyCategoryListWithFilteredPropertiesQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
            propertyMapFilter?: import("../../API").PropertyMapFilter;
            propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
        }>>(mapFn: (previousQueryResult: import("../../API").PropertyCategoryListWithFilteredPropertiesQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../../API").PropertyCategoryListWithFilteredPropertiesQuery>, "variables">) => import("../../API").PropertyCategoryListWithFilteredPropertiesQuery) => void;
        refetch: (variables?: Partial<import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
            propertyMapFilter?: import("../../API").PropertyMapFilter;
            propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryListWithFilteredPropertiesQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
            propertyMapFilter?: import("../../API").PropertyMapFilter;
            propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
        }>, import("../../API").PropertyCategoryListWithFilteredPropertiesQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../../API").PropertyCategoryListWithFilteredPropertiesQuery>>;
        variables: import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
            propertyMapFilter?: import("../../API").PropertyMapFilter;
            propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
        }>;
        fetchMore: <TFetchData = import("../../API").PropertyCategoryListWithFilteredPropertiesQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../../API").Exact<{
            filter?: PropertyCategoryFilter;
            sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
            paging?: import("../../API").CursorPaging;
            propertyMapFilter?: import("../../API").PropertyMapFilter;
            propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../../API").PropertyCategoryListWithFilteredPropertiesQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../../API").PropertyCategoryListWithFilteredPropertiesQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyListFilteredProperties(): (options?: import("../../core").CacheUpdateOptions<import("../../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../../API").PropertyCategoryListWithFilteredPropertiesQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
        propertyMapFilter?: import("../../API").PropertyMapFilter;
        propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../../API").PropertyCategoryListWithFilteredPropertiesQuery, import("../../API").Exact<{
        filter?: PropertyCategoryFilter;
        sorting?: import("../../API").PropertyCategorySort | import("../../API").PropertyCategorySort[];
        paging?: import("../../API").CursorPaging;
        propertyMapFilter?: import("../../API").PropertyMapFilter;
        propertyMapSorting?: import("../../API").PropertyMapSort | import("../../API").PropertyMapSort[];
    }>>;
}
